[Qa-jenkins-scm] [jenkins.debian.net] 01/01: put /tmp under tmpfs
Holger Levsen
holger at moszumanska.debian.org
Wed Nov 25 12:58:20 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit c1ae79d75760c88b69a6344e1473017aec61713f
Author: Mattia Rizzolo <mattia at mapreri.org>
Date: Wed Nov 25 11:12:33 2015 +0000
put /tmp under tmpfs
---
update_jdn.sh | 18 +++++++++++++++---
1 file changed, 15 insertions(+), 3 deletions(-)
diff --git a/update_jdn.sh b/update_jdn.sh
index 33c2b99..5db5dc3 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -60,9 +60,18 @@ sudo mkdir -p /srv/workspace
# prepare tmpfs on some hosts
case $HOSTNAME in
- jenkins) TMPFSSIZE=100 ;;
- profitbricks-build4-amd64) TMPFSSIZE=32 ;;
- profitbricks-build?-amd64) TMPFSSIZE=200 ;;
+ jenkins)
+ TMPFSSIZE=100
+ TMPSIZE=15
+ ;;
+ profitbricks-build4-amd64)
+ TMPFSSIZE=32
+ TMPSIZE=8
+ ;;
+ profitbricks-build?-amd64)
+ TMPFSSIZE=200
+ TMPSIZE=15
+ ;;
*) ;;
esac
case $HOSTNAME in
@@ -70,6 +79,9 @@ case $HOSTNAME in
if ! grep -q '^tmpfs\s\+/srv/workspace\s' /etc/fstab; then
echo "tmpfs /srv/workspace tmpfs defaults,size=${TMPFSSIZE}g 0 0" | sudo tee -a /etc/fstab >/dev/null
fi
+ if ! grep -q '^tmpfs\s\+/tmp\s' /etc/fstab; then
+ echo "tmpfs /tmp tmpfs defaults,size=${TMPSIZE}g 0 0" | sudo tee -a /etc/fstab >/dev/null
+ fi
if ! mountpoint -q /srv/workspace; then
if test -z "$(ls -A /srv/workspace)"; then
sudo mount /srv/workspace
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list